TaliwareTaliware Developer

CL2C Swagger reference

Choose an endpoint, enter its required values, and inspect or send a real API request.

OpenAPI 3.0.3 · Swagger format

View or download the OpenAPI specification

21 endpoints
Complete endpoint URL
gethttps://developer.taliware.com/api/v1/cl2c/nft/{id}

Retrieve a single NFT and its copyright/userNft entries. Ensures NFT belongs to the authenticated organization.

GET
/cl2c/nft/{id}
x-api-key<token>

In: header

Path Parameters

idstring

NFT ID

Response Body

curl -X GET "https://developer.taliware.com/api/v1/cl2c/nft/string"
{
  "id": "string",
  "status": "string",
  "name": "string",
  "description": "string",
  "externalUrl": "string",
  "imagePath": "string",
  "supply": 0,
  "mintedAt": "2019-08-24T14:15:22Z",
  "smartContract": {
    "id": "string",
    "name": "string",
    "symbol": "string",
    "contractAddress": "string",
    "status": "string",
    "network": "string",
    "env": "string"
  },
  "metadata": {},
  "copyright": [
    {
      "id": "string",
      "status": "PENDING",
      "percentage": 0,
      "email": "string",
      "copyAuthLocation": "string",
      "copyAuthTimestamp": "2019-08-24T14:15:22Z",
      "walletAddress": [
        {
          "address": "string",
          "isPrimary": true
        }
      ],
      "userName": "string",
      "userImage": "string"
    }
  ],
  "totalOwners": 0
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
CL2C API Reference | Taliware Developer